Copyright: Copyright © Sidewalk Software


AutoFindControls
AutoFindControls Property

See Also

Returns or sets a value that determines whether Transparent shows controls on the same container.

Syntax

object.AutoFindControls [= boolean]

The AutoFindControls property syntax has these parts:

Part	Description

object	An object expession that evaluates to a Transparent Control.

boolean	A Boolean expression specifying whether object shows other controls in container.

Settings

The settings for boolean are:

Setting	Description

True	(Default) Shows other controls.

False	Does not Show other controls.

Remarks

If Transparent is used in a container that contains controls without window handles, those controls will not be found even when AutoFindControls is set to True.  To avoid this problem, place all controls that do not have a window handle in a container that does and then in the same container as Transparent.


AutoFindControls See Also
ShowClient Property


AutoRefresh
AutoRefresh Property

See Also

Returns or sets a value that determines whether Transparent calls the Refresh method everytime the continer that Transparent is in is resized.

Syntax

object.AutoRefresh [= boolean]

The AutoRefresh property syntax has these parts:

Part	Description

object	An object expession that evaluates to a Transparent Control.

boolean	A Boolean expression specifying whether object calls the Refresh Method on resize.

Settings

The settings for boolean are:

Setting	Description

True	(Default) Refreshes on continer resize.

False	Does not refresh on continer resize.

Remarks

Usually the only time that Transparent needs to update the region tht is imposed on the container is when it is to being resized.  The same effect can be achieved by placing a call to the Refresh method in the OnSize Event in the container holding Transparent.

Sample

Private Sub Form1_ReSize()

Transparent1.Refresh

End Sub


AutoRefresh See Also
Refresh Method


Refresh
Refresh Method

See Also

Forces Transparent to rebuild the region which is used to mask the window.

Syntax

object.Refresh

The Refresh method syntax has these parts:

Part	Description

object	An object expession that evaluates to a Transparent Control.

Remarks

This method manually causes Transparent to recalculate the mask that is used to determine which parts of the window (container) is going to be visible and which are not.


Refresh See Also
AutoRefresh Property


ShowClient
ShowClient Property

See Also

Returns or sets a value that determines whether Transparent will show the client area of the continer which it is in.

Syntax

object.ShowClient [= boolean]

The AutoRefresh property syntax has these parts:

Part	Description

object	An object expession that evaluates to a Transparent Control.

boolean	A Boolean expression specifying whether object shows the client area of the container.

Settings

The settings for boolean are:

Setting	Description

True	Shows client area.

False	(Default) Does not show client area.

Remarks

This property in essance toggles to visibility of the client area of a continer without affecting the non-client area.


ShowClient See Also
AutoFindControls Property

ShowNonClient Property


ShowNonClient
ShowNonClient Property

See Also

Returns or sets a value that determines whether Transparent will show the non-client area of the continer which it is in.

Syntax

object.ShowNonClient [= boolean]

The AutoRefresh property syntax has these parts:

Part	Description

object	An object expession that evaluates to a Transparent Control.

boolean	A Boolean expression specifying whether object shows the non-client area of the container.

Settings

The settings for boolean are:

Setting	Description

True	Shows non-client area.

False	(Default) Does not show non-client area.

Remarks

This property in essance toggles to visibility of the non-client area of a continer without affecting the client area.  The non-client area consists of the border, caption, frame, and caption buttons.


ShowNonClient See Also
ShowClient Property


Tansparent Events

WindowRegionChanged


 Transparent Control

Properties	Methods	Events

The purpose of the Transparent OLE Control is to give the user the ability to remove the Client Area, Non-Client Area, or both from the continer on which it is placed.  This is only in effect while the application is running.  None of the properties effect the control or container at design time.

FileName

Transparent.OCX

Class Name

Transparent

Remarks

Version 1.1 of this control is being distributed as Freeware.  This means that you may copy it, give it away, or ship it with your products with no royalties or fees.  However, you may not distribute it in any altered form.

Transparent.OCX and this Help File is Copyright © 1996 Sidewalk Software Corporation


Transparent Methods

Refresh


Transparent Properties

AutoFindControls

AutoRefresh

ShowClient

ShowNonClient


WindowRegionChanged
WindowRegionChanged Event

See Also

Occurs when the region used as a mask on the container window is changed.

Syntax

Private Sub Object_WindowRegionChanged()

The WindowRegionChanged event syntax has these parts:

Part	Description

object	An object expession that evaluates to a Transparent Control.

Remarks

This event is notification that to region has changed.  It will usually follow either a call to the Refresh method or be the result of the AutoRefresh property detecting a container Resize.


WindowRegionChanged See Also
AutoRefresh Property

Refresh Method